#pragma once
#include <map>
struct M_ActivitySailingaShopCFGData
{
	//编号
	int mId;
	//道具名称
	std::string mItemName;
	//道具id
	int mItemId;
	//道具数量
	int mItemCount;
	//所需VIP等级
	int mVipLevel;
	//权重
	int mWeight;
};

class M_ActivitySailingaShopCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySailingaShopCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySailingaShopCFGData* GetData(int Id);
	const std::map<int, M_ActivitySailingaShopCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySailingaShopCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySailingaShopCFGData> mMapData;
};
